Subject: Re: re-submit3 [ANNOUNCEMENT] NET: usb: sierra_net.c driver

From: Elina Pasheva <[email-masked]>
Date: Thu, 8 Apr 2010 17:39:43 -0700

On Wed, 2010-04-07 at 21:45 -0700, David Miller wrote:
> From: Elina Pasheva <[email-masked]>
> Date: Mon, 5 Apr 2010 18:39:08 -0700
> 
> > Subject: re-submit3 [ANNOUNCEMENT] NET: usb: sierra_net.c driver
> > From: Elina Pasheva <[email-masked]>
> 
> I want you to tell me exactly how you generated this patch.
> 
> It doesn't apply, and I suspect that you tried to fix the excess empty
> lines at the end of certain files by editing the patch by hand.
> 
> If so, did you test the result?
> 
> The patch is corrupted and more importantly git won't accept it.
> 
> davem@sunset:~/src/GIT/net-2.6$ git am --signoff re-submit3-ANNOUNCEMENT-NET-usb-sierra_net.c-driver.patch 
> Applying: re-submit3 [ANNOUNCEMENT] NET: usb: sierra_net.c driver
> /home/davem/src/GIT/net-2.6/.git/rebase-apply/patch:36: new blank line at EOF.
> +
> error: drivers/net/usb/sierra_net.c: does not exist in index
> Patch failed at 0001 re-submit3 [ANNOUNCEMENT] NET: usb: sierra_net.c driver
> When you have resolved this problem run "git am --resolved".
> If you would prefer to skip this patch, instead run "git am --skip".
> To restore the original branch and stop patching run "git am --abort".
> 
Hi Dave,
I reproduced the problem here.
I fixed it by adding an empty sierra_net.c file in my master branch
(net-2.6).
Regards,
Elina

--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html